/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.pua.prot.
 * 
 * de.bsvrz.pua.prot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.pua.prot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.pua.prot.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bsvrz.pua.prot.manager;

/**
 * Enthält die Operationscodes für Skript-bezogenen Operationen. Das Submodul Task Manager ({@link de.bsvrz.pua.prot.manager.taskmanager.TaskManagerInterface})
 * ist für die Abarbeitung dieser Operationen zuständig.
 *
 * @author beck et al. projects GmbH
 * @author Martin Hilgers
 * @version $Revision$ / $Date$ / ($Author$)
 */
public class ScriptRelatedOperation {

	/** Skript anlegen / editiern */
	public static final int CREATE = 1;

	/** Quelltext anfordern */
	public static final int SOURCE = 2;

	/** Standard-Werte anfordern */
	public static final int DEFAULTS = 3;

	/** Positive Quittung. */
	public static final int ACK_FLAG = 200;

	/** Negative Quittung */
	public static final int NACK_FLAG = 100;
}
